Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(revision 83)
@@ -0,0 +1,511 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 出勤日報データＤＢアクセス
+    /// </summary>
+    public class IOTranceportDailyData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            /// <summary>
+            /// 作成者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 日報作成日
+            /// </summary>
+            AttendanceDate,
+            /// <summary>
+            /// 当日出発キロ数
+            /// </summary>
+            StartDistance,
+            /// <summary>
+            /// 当日終了キロ数
+            /// </summary>
+            ComplateDistance,
+            /// <summary>
+            /// 当日合計キロ数
+            /// </summary>
+            TotalDistance,
+            /// <summary>
+            /// 事務所出勤フラグ
+            /// </summary>
+            OfficeGoFlg,
+            /// <summary>
+            /// 事務所帰宅フラグ
+            /// </summary>
+            OfficeOutFlg,
+            /// <summary>
+            /// 有料通勤出勤フラグ
+            /// </summary>
+            TrancePayGoFlg,
+            /// <summary>
+            /// 有料通勤帰宅フラグ
+            /// </summary>
+            TrancePayOutFlg,
+            /// <summary>
+            /// 資材置場フラグ
+            /// </summary>
+            WareHouseFlg,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOTranceportDailyData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += ", DATE_FORMAT(AttendanceDate, '%Y/%m/%d')";            // 日報作成日
+            strcmd += ", StartDistance";                                    // 当日出発キロ数
+            strcmd += ", ComplateDistance";                                 // 当日終了キロ数
+            strcmd += ", TotalDistance";                                    // 当日合計キロ数
+            strcmd += ", OfficeGoFlg";                                      // 事務所出勤フラグ
+            strcmd += ", OfficeOutFlg";                                     // 事務所帰宅フラグ
+            strcmd += ", TrancePayGoFlg";                                   // 有料通勤出勤フラグ
+            strcmd += ", TrancePayOutFlg";                                  // 有料通勤帰宅フラグ
+            strcmd += ", WareHouseFlg";                                     // 資材置場フラグ
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
+            strcmd += " FROM TranceportDailyData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<TranceportDailyData> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    TranceportDailyData work = new TranceportDailyData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref TranceportDailyData data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(TranceportDailyData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO TranceportDailyData";
+                strcmd += "  (PersonCode";          // 担当者コード
+                strcmd += ", AttendanceDate";       // 日報作成日
+                strcmd += ", StartDistance";        // 当日出発キロ数
+                strcmd += ", ComplateDistance";     // 当日終了キロ数
+                strcmd += ", TotalDistance";        // 当日合計キロ数
+                strcmd += ", OfficeGoFlg";          // 事務所出勤フラグ
+                strcmd += ", OfficeOutFlg";         // 事務所帰宅フラグ
+                strcmd += ", TrancePayGoFlg";       // 有料通勤出勤フラグ
+                strcmd += ", TrancePayOutFlg";      // 有料通勤帰宅フラグ
+                strcmd += ", WareHouseFlg";         // 資材置場フラグ
+                strcmd += ", EntryDate";            // 登録年月日
+                strcmd += ", UpdateDate)";          // 更新年月日
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
+
+                strcmd += string.Format(", {0}", work.StartDistance);                   // 当日出発キロ数
+                strcmd += string.Format(", {0}", work.ComplateDistance);                // 当日終了キロ数
+                strcmd += string.Format(", {0}", work.TotalDistance);                   // 当日合計キロ数
+                strcmd += string.Format(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
+                strcmd += string.Format(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
+                strcmd += string.Format(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
+                strcmd += string.Format(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
+                strcmd += string.Format(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<TranceportDailyData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (TranceportDailyData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, TranceportDailyData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE TranceportDailyData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(",AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
+
+                strcmd += string.Format(",StartDistance = {0} ", data.StartDistance);           // 当日出発キロ数
+                strcmd += string.Format(",ComplateDistance = {0} ", data.ComplateDistance);     // 当日終了キロ数
+                strcmd += string.Format(",TotalDistance = {0} ", data.TotalDistance);           // 当日合計キロ数
+                strcmd += string.Format(",OfficeGoFlg = {0} ", data.OfficeGoFlg);               // 事務所出勤フラグ
+                strcmd += string.Format(",OfficeOutFlg = {0} ", data.OfficeOutFlg);             // 事務所帰宅フラグ
+                strcmd += string.Format(",TrancePayGoFlg = {0} ", data.TrancePayGoFlg);         // 有料通勤出勤フラグ
+                strcmd += string.Format(",TrancePayOutFlg = {0} ", data.TrancePayOutFlg);       // 有料通勤帰宅フラグ
+                strcmd += string.Format(",WareHouseFlg = {0} ", data.WareHouseFlg);             // 資材置場フラグ
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM TranceportDailyData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE TranceportDailyData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.AttendanceDate:
+                        strcmd += string.Format(" AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+
+                    case (int)TableColumn.StartDistance:
+                        strcmd += string.Format(" StartDistance = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.ComplateDistance:
+                        strcmd += string.Format(" ComplateDistance = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.TotalDistance:
+                        strcmd += string.Format(" TotalDistance = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.OfficeGoFlg:
+                        strcmd += string.Format(" OfficeGoFlg = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.OfficeOutFlg:
+                        strcmd += string.Format(" OfficeOutFlg = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.TrancePayGoFlg:
+                        strcmd += string.Format(" TrancePayGoFlg = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.TrancePayOutFlg:
+                        strcmd += string.Format(" TrancePayOutFlg = {0}", (int)value);
+                        break;
+                    case (int)TableColumn.WareHouseFlg:
+                        strcmd += string.Format(" WareHouseFlg = {0}", (int)value);
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref TranceportDailyData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)TableColumn.AttendanceDate].ToString());     // 日報作成日
+
+                wrk.StartDistance = double.Parse(objwrk[(int)TableColumn.StartDistance].ToString());         // 当日出発キロ数
+                wrk.ComplateDistance = double.Parse(objwrk[(int)TableColumn.ComplateDistance].ToString());   // 当日終了キロ数
+                wrk.TotalDistance = double.Parse(objwrk[(int)TableColumn.TotalDistance].ToString());         // 当日合計キロ数
+                wrk.OfficeGoFlg = int.Parse(objwrk[(int)TableColumn.OfficeGoFlg].ToString());                // 事務所出勤フラグ
+                wrk.OfficeOutFlg = int.Parse(objwrk[(int)TableColumn.OfficeOutFlg].ToString());              // 事務所帰宅フラグ
+                wrk.TrancePayGoFlg = int.Parse(objwrk[(int)TableColumn.TrancePayGoFlg].ToString());          // 有料通勤出勤フラグ
+                wrk.TrancePayOutFlg = int.Parse(objwrk[(int)TableColumn.TrancePayOutFlg].ToString());        // 有料通勤帰宅フラグ
+                wrk.WareHouseFlg = int.Parse(objwrk[(int)TableColumn.WareHouseFlg].ToString());              // 資材置場フラグ
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (AttendanceDate != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 追加番号の最大値を取得
+        /// <summary>
+        /// 追加番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM TranceportDailyData" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 83)
@@ -40,8 +40,8 @@
             TargetYear,
             TargetMonth,
             TargetDay,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -66,13 +66,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<VehicleScheduleData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " DATE_FORMAT(TargetDate, '%Y/%m/%d')";
                 strcmd += " ,VehicleCode";
@@ -224,7 +224,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -261,8 +261,8 @@
                 wrk.TargetMonth = int.Parse(objwrk[(int)NameColumn.TargetMonth].ToString());
                 wrk.TargetDay = int.Parse(objwrk[(int)NameColumn.TargetDay].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs	(revision 83)
@@ -0,0 +1,115 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 出勤日報データ定義クラス
+    /// </summary>
+    public class AttendanceDailyData
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        private DateTime    m_AttendanceDate = DateTime.Now;
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 行動実績
+        /// </summary>
+        private string      m_ActionResult = string.Empty;
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        private double      m_OvertimeHours = 0;
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string      m_WorkingComment = string.Empty;
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        public DateTime AttendanceDate
+        {
+            get { return m_AttendanceDate; }
+            set { m_AttendanceDate = value; }
+        }
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public string ActionResult
+        {
+            get { return m_ActionResult; }
+            set { m_ActionResult = value; }
+        }
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        public double OvertimeHours
+        {
+            get { return m_OvertimeHours; }
+            set { m_OvertimeHours = value; }
+        }
+        /// <summary>
+        /// 作業コメント
+        /// </summary>
+        public string WorkingComment
+        {
+            get { return m_WorkingComment; }
+            set { m_WorkingComment = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 83)
@@ -6,7 +6,7 @@
 namespace ProcessManagement.DataModel
 {
     /// <summary>
-    /// 出勤日報データ定義クラス
+    /// 出勤管理データ定義クラス
     /// </summary>
     public class AttendanceData
     {
@@ -16,26 +16,30 @@
         /// </summary>
         private int         m_PersonCode = 0;
         /// <summary>
-        /// 日報作成日
+        /// 出勤管理年月
         /// </summary>
-        private DateTime    m_AttendanceDate = DateTime.Now;
+        private DateTime    m_AttendanceMonth = DateTime.Now;
         /// <summary>
-        /// 明細行番号
+        /// 当月最終日
         /// </summary>
-        private int         m_SeqNo = 0;
+        private int         m_LastDays = 0;
         /// <summary>
-        /// 工事番号
+        /// 出勤日数
         /// </summary>
-        private int         m_ConstructionCode = 0;
+        private int         m_AttendDayCount = 0;
         /// <summary>
-        /// 残業時間
+        /// 残業時間数
         /// </summary>
-        private double      m_OvertimeHours = 0;
+        private double      m_TotalOverTimes = 0;
         /// <summary>
-        /// コメント
+        ///  申請日
         /// </summary>
-        private string      m_WorkingComment = string.Empty;
+        private DateTime    m_OrderDate = DateTime.MinValue;
         /// <summary>
+        /// 申請受付番号
+        /// </summary>
+        private int         m_OrderNo = 0;
+        /// <summary>
         /// 登録年月日
         /// </summary>
         private DateTime    m_EntryDate = DateTime.Now;
@@ -55,46 +59,54 @@
             set { m_PersonCode = value; }
         }
         /// <summary>
-        /// 日報作成日
+        /// 出勤管理年月
         /// </summary>
-        public DateTime AttendanceDate
+        public DateTime AttendanceMonth
         {
-            get { return m_AttendanceDate; }
-            set { m_AttendanceDate = value; }
+            get { return m_AttendanceMonth; }
+            set { m_AttendanceMonth = value; }
         }
         /// <summary>
-        /// 明細行番号
+        /// 当月最終日
         /// </summary>
-        public int SeqNo
+        public int LastDays
         {
-            get { return m_SeqNo; }
-            set { m_SeqNo = value; }
+            get { return m_LastDays; }
+            set { m_LastDays = value; }
         }
         /// <summary>
-        /// 工事番号
+        /// 出勤日数
         /// </summary>
-        public int ConstructionCode
+        public int AttendDayCount
         {
-            get { return m_ConstructionCode; }
-            set { m_ConstructionCode = value; }
+            get { return m_AttendDayCount; }
+            set { m_AttendDayCount = value; }
         }
         /// <summary>
-        /// 残業時間
+        /// 残業時間数
         /// </summary>
-        public double OvertimeHours
+        public double TotalOverTimes
         {
-            get { return m_OvertimeHours; }
-            set { m_OvertimeHours = value; }
+            get { return m_TotalOverTimes; }
+            set { m_TotalOverTimes = value; }
         }
         /// <summary>
-        /// 作業コメント
+        ///  申請日
         /// </summary>
-        public string WorkingComment
+        public DateTime OrderDate
         {
-            get { return m_WorkingComment; }
-            set { m_WorkingComment = value; }
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
         }
         /// <summary>
+        /// 申請受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+        /// <summary>
         /// 登録年月日
         /// </summary>
         public DateTime EntryDate
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 83)
@@ -14,7 +14,10 @@
         private int         m_TypeCode = 0;	                    // 工事種別コード
         private int         m_DisplayOrder = 0;	                // 表示順
         private string      m_NameString = string.Empty;	    // 表示名称
+        private int         m_SecRank = 0;                      // 保護区分ランク
         private int         m_PublicFlg = 0;                    // 公共工事フラグ
+        private int         m_ExpensesLink = 0;                 // 経費使用区分
+
         private int         m_DeleteFlg = 0;	                // 削除フラグ
         private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
@@ -49,6 +52,14 @@
             set { m_NameString = value; }
         }
         /// <summary>
+        /// 保護区分ランク
+        /// </summary>
+        public int SecRank
+        {
+            get { return m_SecRank; }
+            set { m_SecRank = value; }
+        }
+        /// <summary>
         /// 公共工事フラグ
         /// </summary>
         public int PublicFlg
@@ -57,6 +68,14 @@
             set { m_PublicFlg = value; }
         }
         /// <summary>
+        /// 経費使用区分
+        /// </summary>
+        public int ExpensesLink
+        {
+            get { return m_ExpensesLink; }
+            set { m_ExpensesLink = value; }
+        }
+        /// <summary>
         /// 削除フラグ
         /// </summary>
         public int DeleteFlg
